summaryrefslogtreecommitdiff
path: root/plugins/bundler/bundler.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/bundler/bundler.plugin.zsh')
-rw-r--r--plugins/bundler/bundler.plugin.zsh20
1 files changed, 13 insertions, 7 deletions
diff --git a/plugins/bundler/bundler.plugin.zsh b/plugins/bundler/bundler.plugin.zsh
index ba3d3f623..665cb5e43 100644
--- a/plugins/bundler/bundler.plugin.zsh
+++ b/plugins/bundler/bundler.plugin.zsh
@@ -2,8 +2,10 @@ alias be="bundle exec"
alias bl="bundle list"
alias bp="bundle package"
alias bo="bundle open"
+alias bout="bundle outdated"
alias bu="bundle update"
alias bi="bundle_install"
+alias bcn="bundle clean"
bundled_commands=(
annotate
@@ -12,6 +14,7 @@ bundled_commands=(
cucumber
foodcritic
guard
+ hanami
irb
jekyll
kitchen
@@ -24,6 +27,7 @@ bundled_commands=(
rainbows
rake
rspec
+ rubocop
shotgun
sidekiq
spec
@@ -51,12 +55,16 @@ done
## Functions
bundle_install() {
- if _bundler-installed && _within-bundled-project; then
+ if ! _bundler-installed; then
+ echo "Bundler is not installed"
+ elif ! _within-bundled-project; then
+ echo "Can't 'bundle install' outside a bundled project"
+ else
local bundler_version=`bundle version | cut -d' ' -f3`
if [[ $bundler_version > '1.4.0' || $bundler_version = '1.4.0' ]]; then
- if [[ "$OSTYPE" = darwin* ]]
+ if [[ "$OSTYPE" = (darwin|freebsd)* ]]
then
- local cores_num="$(sysctl hw.ncpu | awk '{print $2}')"
+ local cores_num="$(sysctl -n hw.ncpu)"
else
local cores_num="$(nproc)"
fi
@@ -64,8 +72,6 @@ bundle_install() {
else
bundle install $@
fi
- else
- echo "Can't 'bundle install' outside a bundled project"
fi
}
@@ -76,7 +82,7 @@ _bundler-installed() {
_within-bundled-project() {
local check_dir="$PWD"
while [ "$check_dir" != "/" ]; do
- [ -f "$check_dir/Gemfile" ] && return
+ [ -f "$check_dir/Gemfile" -o -f "$check_dir/gems.rb" ] && return
check_dir="$(dirname $check_dir)"
done
false
@@ -89,7 +95,7 @@ _binstubbed() {
_run-with-bundler() {
if _bundler-installed && _within-bundled-project; then
if _binstubbed $1; then
- ./bin/$@
+ ./bin/${^^@}
else
bundle exec $@
fi